Name:           nitrogen
Version:        1.6.0
Release:        1%{?dist}
Summary:        Background browser and setter for X windows

Group:          User Interface/Desktops
# Code is GPLv2+ and zlib, icons are CC-BY-SA as described in COPYING
License:        GPLv2+ and zlib and CC-BY-SA
URL:            http://projects.l3ib.org/nitrogen/
Source:         http://projects.l3ib.org/%{name}/files/%{name}-%{version}.tar.gz
BuildRequires:  gtkmm24-devel
BuildRequires:  libpng-devel
BuildRequires:  gettext
BuildRequires:  pkgconfig
BuildRequires:  desktop-file-utils
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  m4
BuildRequires:  libtool
BuildRequires:  gettext-devel
Requires:       gtkmm24

%description
A background browser and setter for X windows that can be used in two
modes: browser and recall. It features Multihead and Xinerama awareness,
a recall mode to be used in start up scripts, uses the freedesktop.org
standard for thumbnails, can set the GNOME background, command line set
modes for use in scripts, inotify monitoring of browse directory, lazy
loading of thumbnails to conserve memory and an 'automatic' set mode
which determines the best mode to set an image based on its size.


%prep
%setup -q

%build
autoreconf -fi

%configure --disable-dependency-tracking
# -lX11 is missing (DSO: https://fedoraproject.org/wiki/UnderstandingDSOLinkChange)
make %{?_smp_mflags} CFLAGS="%{optflags}" LDFLAGS="-lX11"

%install
make install DESTDIR=%{buildroot}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc COPYING NEWS README AUTHORS ChangeLog
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/icons/hicolor/16x16/actions/wallpaper-*.png
%{_datadir}/icons/hicolor/16x16/devices/video-display.png
%{_datadir}/icons/hicolor/16x16/mimetypes/image-x-generic.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Nov 14 2016 James Wrigley <jwrigley7@gmail.com> - 1.6.0-1
- New upstream version, 1.6.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.5.2-15
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jul 9 2014 James Wrigley <jwrigley7@gmail.com> - 1.5.2-13
- Rolled back to the last stable release to fix bug in master.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-12.20140405git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 22 2014 James Wrigley <jwrigley7@gmail.com> - 1.5.2-11.20140405git
- Fixed compile bug on F19

* Sat Apr 5 2014 James Wrigley <jwrigley7@gmail.com> - 1.5.2-10.20140405git
- Rolled back by one commit to fix https://github.com/l3ib/nitrogen/issues/46

* Sun Feb 9 2014 James Wrigley <jwrigley7@gmail.com> - 1.5.2-9.20131218git
- Fixed issue with the .desktop file not being installed properly

* Thu Jan 30 2014 James Wrigley <jwrigley7@gmail.com> - 1.5.2-8.20131218git
- Updated autoconf version to 2.69, now using a git snapshot from 20131218

* Mon Sep 9 2013 James Wrigley <jwrigley7@gmail.com> - 1.5.2-7
- Un-orphaning package

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-4
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.5.2-2
- Rebuild for new libpng

* Fri Jul 01 2011 Sandro Mathys <red at fedoraproject.org> - 1.5.2-1
- New upstream version 1.5.2

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu May 27 2010 Sandro Mathys <red at fedoraproject.org> - 1.5.1-3
- fixed missing libX11 BuildRequire

* Sat May 01 2010 Sandro Mathys <red at fedoraproject.org> - 1.5.1-2
- corrected license and improved the spec file a little

* Fri Feb 05 2010 Sandro Mathys <red at fedoraproject.org> - 1.5.1-1
- new version with fixed licensing and some bugfixes
- added desktop file and updating of the icon caches

* Thu Oct 22 2009 Sandro Mathys <red at fedoraproject.org> - 1.4-1
- initial build

